package ink.wgink.module.activiti.pojo.vos.oa.nodemanage.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: AssigneeVO
 * @Description: 代理人
 * @Author: wanggeng
 * @Date: 2022/4/4 10:46
 * @Version: 1.0
 */
@ApiModel
public class AssigneeVO {

    @ApiModelProperty(name = "nodeType", value = "节点类型")
    private String nodeType;
    @ApiModelProperty(name = "assigneeCount", value = "代理人数量")
    private String assigneeCount;
    @ApiModelProperty(name = "assignee", value = "代理人")
    private String assignee;
    @ApiModelProperty(name = "assigneeName", value = "代理人名称")
    private String assigneeName;
    @ApiModelProperty(name = "candidates", value = "候选人")
    private String candidates;
    @ApiModelProperty(name = "candidateNames", value = "候选人名称")
    private String candidateNames;
    @ApiModelProperty(name = "multipleType", value = "多实例类型")
    private String multipleType;
    @ApiModelProperty(name = "completeCondition", value = "完成条件")
    private String completeCondition;
    @ApiModelProperty(name = "completeCount", value = "")
    private Integer completeCount;
    @ApiModelProperty(name = "multipleAssignees", value = "多实例代理人")
    private String multipleAssignees;
    @ApiModelProperty(name = "multipleAssigneeNames", value = "多实例代理人名称")
    private String multipleAssigneeNames;
    @ApiModelProperty(name = "assigneeType", value = "代理人类型")
    private String assigneeType;
    @ApiModelProperty(name = "autoAssignType", value = "自动方式")
    private String autoAssignType;
    @ApiModelProperty(name = "departmentType", value = "部门类型")
    private String departmentType;
    @ApiModelProperty(name = "departments", value = "选择部门")
    private String departments;
    @ApiModelProperty(name = "departmentNames", value = "选择部门名称")
    private String departmentNames;
    @ApiModelProperty(name = "roles", value = "角色")
    private String roles;
    @ApiModelProperty(name = "roleNames", value = "角色名称")
    private String roleNames;
    @ApiModelProperty(name = "positions", value = "职位")
    private String positions;
    @ApiModelProperty(name = "positionNames", value = "职位名称")
    private String positionNames;
    @ApiModelProperty(name = "quickAssignee", value = "快速代理人")
    private String quickAssignee;
    @ApiModelProperty(name = "previousNStep", value = "前N步")
    private Integer previousNStep;

    public String getNodeType() {
        return nodeType == null ? "" : nodeType.trim();
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getAssigneeCount() {
        return assigneeCount == null ? "" : assigneeCount.trim();
    }

    public void setAssigneeCount(String assigneeCount) {
        this.assigneeCount = assigneeCount;
    }

    public String getAssignee() {
        return assignee == null ? "" : assignee.trim();
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getAssigneeName() {
        return assigneeName == null ? "" : assigneeName.trim();
    }

    public void setAssigneeName(String assigneeName) {
        this.assigneeName = assigneeName;
    }

    public String getCandidates() {
        return candidates == null ? "" : candidates.trim();
    }

    public void setCandidates(String candidates) {
        this.candidates = candidates;
    }

    public String getCandidateNames() {
        return candidateNames == null ? "" : candidateNames.trim();
    }

    public void setCandidateNames(String candidateNames) {
        this.candidateNames = candidateNames;
    }

    public String getMultipleType() {
        return multipleType == null ? "" : multipleType.trim();
    }

    public void setMultipleType(String multipleType) {
        this.multipleType = multipleType;
    }

    public String getCompleteCondition() {
        return completeCondition == null ? "" : completeCondition.trim();
    }

    public void setCompleteCondition(String completeCondition) {
        this.completeCondition = completeCondition;
    }

    public Integer getCompleteCount() {
        return completeCount == null ? 0 : completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

    public String getMultipleAssignees() {
        return multipleAssignees == null ? "" : multipleAssignees.trim();
    }

    public void setMultipleAssignees(String multipleAssignees) {
        this.multipleAssignees = multipleAssignees;
    }

    public String getMultipleAssigneeNames() {
        return multipleAssigneeNames == null ? "" : multipleAssigneeNames.trim();
    }

    public void setMultipleAssigneeNames(String multipleAssigneeNames) {
        this.multipleAssigneeNames = multipleAssigneeNames;
    }

    public String getAssigneeType() {
        return assigneeType == null ? "" : assigneeType.trim();
    }

    public void setAssigneeType(String assigneeType) {
        this.assigneeType = assigneeType;
    }

    public String getAutoAssignType() {
        return autoAssignType == null ? "" : autoAssignType.trim();
    }

    public void setAutoAssignType(String autoAssignType) {
        this.autoAssignType = autoAssignType;
    }

    public String getDepartmentType() {
        return departmentType == null ? "" : departmentType.trim();
    }

    public void setDepartmentType(String departmentType) {
        this.departmentType = departmentType;
    }

    public String getDepartments() {
        return departments == null ? "" : departments.trim();
    }

    public void setDepartments(String departments) {
        this.departments = departments;
    }

    public String getDepartmentNames() {
        return departmentNames == null ? "" : departmentNames.trim();
    }

    public void setDepartmentNames(String departmentNames) {
        this.departmentNames = departmentNames;
    }

    public String getRoles() {
        return roles == null ? "" : roles.trim();
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public String getRoleNames() {
        return roleNames == null ? "" : roleNames.trim();
    }

    public void setRoleNames(String roleNames) {
        this.roleNames = roleNames;
    }

    public String getPositions() {
        return positions == null ? "" : positions.trim();
    }

    public void setPositions(String positions) {
        this.positions = positions;
    }

    public String getPositionNames() {
        return positionNames == null ? "" : positionNames.trim();
    }

    public void setPositionNames(String positionNames) {
        this.positionNames = positionNames;
    }

    public String getQuickAssignee() {
        return quickAssignee == null ? "" : quickAssignee.trim();
    }

    public void setQuickAssignee(String quickAssignee) {
        this.quickAssignee = quickAssignee;
    }

    public Integer getPreviousNStep() {
        return previousNStep;
    }

    public void setPreviousNStep(Integer previousNStep) {
        this.previousNStep = previousNStep;
    }

    @Override
    public String toString() {
        return "AssigneeVO{" +
                "nodeType='" + nodeType + '\'' +
                ", assigneeCount='" + assigneeCount + '\'' +
                ", assignee='" + assignee + '\'' +
                ", assigneeName='" + assigneeName + '\'' +
                ", candidates='" + candidates + '\'' +
                ", candidateNames='" + candidateNames + '\'' +
                ", multipleType='" + multipleType + '\'' +
                ", completeCondition='" + completeCondition + '\'' +
                ", completeCount=" + completeCount +
                ", multipleAssignees='" + multipleAssignees + '\'' +
                ", multipleAssigneeNames='" + multipleAssigneeNames + '\'' +
                ", assigneeType='" + assigneeType + '\'' +
                ", autoAssignType='" + autoAssignType + '\'' +
                ", departmentType='" + departmentType + '\'' +
                ", departments='" + departments + '\'' +
                ", departmentNames='" + departmentNames + '\'' +
                ", roles='" + roles + '\'' +
                ", roleNames='" + roleNames + '\'' +
                ", positions='" + positions + '\'' +
                ", positionNames='" + positionNames + '\'' +
                ", quickAssignee='" + quickAssignee + '\'' +
                ", previousNStep=" + previousNStep +
                '}';
    }
}
